import React, { Component } from 'react';
import logo from './logo.svg';
import './App.css';

class App extends Component {
    getEnvValues() {
        if (!process.env.REACT_APP_LPT_ID) {
            throw new Error('Please define `REACT_APP_LPT_ID`');
        }
        return process.env.REACT_APP_LPT_ID;
    }
  
    render() {
      const lptID = this.getEnvValues();
  
      return (
        <div className="App">
          <header className="App-header">
            <img src={logo} className="App-logo" alt="logo" />
            <p>
              Edit <code>src/App.js</code> and save to reload.
            </p>
            <p>
              {`Welcome to LPTREND, ${lptID}!`}
            </p>
            <a
              className="App-link"
              href="https://reactjs.org"
              target="_blank"
              rel="noopener noreferrer"
            >
              Learn React
            </a>
          </header>
        </div>
      );
    }
}

export default App;
